
'initialize variables for program
DIM A AS BYTE
DIM B AS INTEGER

'== motor diretion setting ======================
DIR G6A,1,0,0,1,0,0		
DIR G6B,1,1,1,1,1,1		
DIR G6C,0,0,0,0,0,0		
DIR G6D,0,1,1,0,1,0		

'== motor start position read ===================
GETMOTORSET G6A,1,1,1,1,1,0
GETMOTORSET G6B,1,1,1,0,0,0
GETMOTORSET G6C,1,1,1,0,0,0
GETMOTORSET G6D,1,1,1,1,1,0


'== motor power on  =============================
SPEED 5
MOTOR G24	
GOSUB standard_pose

'================================================
MAIN:    	
	'Read serial port, send sensor 
	'if "A" character is received
	GOSUB bluetooth_receive
	IF A=65 THEN
		ETX 57600, A
		GOSUB readdataout
	ENDIF
	GOTO MAIN

'================================================	

standard_pose:

	MOVE G6A,100,  80, 145,  93, 100, 100 
	MOVE G6D,100,  80, 145,  93, 100, 100  
	MOVE G6B,100,  30,  80, 100, 100, 100
	MOVE G6C,100,  30,  80, 100, 100, 100
	WAIT
	
	RETURN
'================================================

bluetooth_receive:
	
	ERX 57600,A,bluetooth_receive
	RETURN
	
readdataout:
	DIM n AS BYTE
	FOR n=1 TO 100
		'RAM location 1328-1331 corresponds to gyro 1-4
		ETX 57600, 65
		B=AD(0)
		ETX 57600, B
		B=AD(1)
		ETX 57600, B
		B=AD(2)
		ETX 57600, B
		B=AD(3)
		ETX 57600, B
		B=AD(4)
		ETX 57600, B
		B=AD(5)
		ETX 57600, B
		B=AD(6)
		ETX 57600, B
		B=AD(7)
		ETX 57600, B
		ETX 57600, 80
	'terminate transmission with CR and LF
	NEXT n
	B=13
	ETX 57600, B
	B=10
	ETX 57600, B
	RETURN